textures/redq3dm4/fog
{
	qer_editorimage textures/sfx/fog_green.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	fogparms ( 0.1 0.08 0.08 ) 1800
}

textures/redq3dm4/charon_4light01_5k
{
	qer_editorimage textures/redq3dm4/4_light01.tga
	q3map_lightimage textures/redq3dm4/4_light01.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/redq3dm4/4_light01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/redq3dm4/4_light01.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/redq3dm4/charon_4light01_5k_flicker
{
	qer_editorimage textures/redq3dm4/4_light01.tga
	q3map_lightimage textures/redq3dm4/4_light01.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen wave noise 0.75 0.25 0 10
	}
	{
		map textures/redq3dm4/4_light01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/redq3dm4/4_light01.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.25 0 10
	}
}

textures/redq3dm4/charon_4light02_5k
{
	qer_editorimage textures/redq3dm4/4_light02.tga
	q3map_lightimage textures/redq3dm4/4_light02.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/redq3dm4/4_light02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/redq3dm4/4_light02.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/redq3dm4/charon_4light02_5k_flicker
{
	qer_editorimage textures/redq3dm4/4_light02.tga
	q3map_lightimage textures/redq3dm4/4_light02.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen wave noise 0.75 0.25 0 10
	}
	{
		map textures/redq3dm4/4_light02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/redq3dm4/4_light02.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.25 0 10
	}
}

textures/redq3dm4/charon_4trimlight01_5k
{
	qer_editorimage textures/redq3dm4/4_trimllight01.tga
	q3map_lightimage textures/redq3dm4/4_trimllight01.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/redq3dm4/4_trimllight01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/redq3dm4/4_trimllight01.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/redq3dm4/charon_4trimlight01_5k_flicker
{
	qer_editorimage textures/redq3dm4/4_trimllight01.tga
	q3map_lightimage textures/redq3dm4/4_trimllight01.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen wave noise 0.75 0.25 0 10
	}
	{
		map textures/redq3dm4/4_trimllight01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/redq3dm4/4_trimllight01.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave noise 0.75 0.25 0 10
	}
}

textures/redq3dm4/charon_4bouncer02
{
	qer_editorimage textures/redq3dm4/4_bouncer02.tga
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 800
	
        {
		map textures/redq3dm4/bloodwall1sm.tga
                tcmod rotate 30
                tcMod stretch sin .7 0.3 0 .4
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
	        map textures/redq3dm4/4_bouncer02.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/redq3dm4/charon_4bpanel02
{
	qer_editorimage textures/redq3dm4/4_b_panel02.tga
	q3map_lightimage textures/redq3dm4/4_b_panel02.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	
        {
		map textures/redq3dm4/bloodwall1sm.tga
                tcmod rotate 30
                tcMod stretch sin .8 0.2 0 .2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
	        map textures/redq3dm4/4_b_panel02.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/redq3dm4/charon3dm10_skybox1
{
  q3map_lightimage textures/holodeck_temple/lightcyan.tga
  qer_editorimage textures/common/sky.tga
  surfaceparm noimpact
  surfaceparm nomarks
  surfaceparm nolightmap
  surfaceparm sky
  q3map_sun 1 1 1 175 65 45
  skyParms env/camelot 512 -
  {
      map textures/skies/redclouds.tga
      blendFunc GL_ONE GL_ZERO
      tcMod scale 8 8
      tcMod scroll 0.04 0.02
  }
}

textures/redq3dm4/charon_jackwarp01
{
	qer_editorimage textures/redq3dm4/jackboot_warp01.tga
	q3map_lightimage textures/redq3dm4/jackboot_warp01.tga
	q3map_surfacelight 2000
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	deformVertexes wave 64 sin .5 .5 0 .5
	cull disable	
	{
		map textures/redq3dm4/jackboot_warp01.tga
                tcMod scroll 1.00 0.00
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/redq3dm4/whiteflare
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/redq3dm4/whiteflare.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/sfx/beam
{
	qer_editorimage textures/sfx/beam.tga
  surfaceparm trans	
  surfaceparm nomarks	
  surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam.tga
    tcMod Scroll .3 0
    blendFunc add
  }
}

textures/sfx/beam_red
{
  surfaceparm trans	
  surfaceparm nomarks	
  surfaceparm nonsolid
	surfaceparm nolightmap
  qer_trans .5
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam_red.tga
    tcMod Scroll .3 0
    blendFunc add
  }
}
